Debian Bug report logs - #502729
procps: does not process /etc/sysctl.conf correctly on Debian GNU/kFreeBSD

version graph

Package: procps; Maintainer for procps is Craig Small <csmall@debian.org>; Source for procps is src:procps.

Reported by: Ludovic Brenta <ludovic@ludovic-brenta.org>

Date: Sun, 19 Oct 2008 13:39:01 UTC

Severity: important

Found in version procps/1:3.2.7-9

Fixed in version procps/1:3.2.7-10

Done: Craig Small <csmall@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ludovic Brenta <ludovic@ludovic-brenta.org>, Craig Small <csmall@debian.org>:
Bug#502729; Package procps. (Sun, 19 Oct 2008 13:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovic Brenta <ludovic@ludovic-brenta.org>:
New Bug report received and forwarded. Copy sent to Ludovic Brenta <ludovic@ludovic-brenta.org>, Craig Small <csmall@debian.org>. (Sun, 19 Oct 2008 13:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ludovic Brenta <ludovic@ludovic-brenta.org>
To: submit@bugs.debian.org
Subject: procps: does not process /etc/sysctl.conf correctly on Debian GNU/kFreeBSD
Date: Sun, 19 Oct 2008 15:37:13 +0200
Package: procps
Version: 1:3.2.7-9
Severity: important
Justification: defeats the purpose of the package

On Debian GNU/kFreeBSD, /bin/sysctl comes from package freebsd-utils
and does not accept a file name on its command line but the default
/etc/init.d/procps passes configuration files on the command line.  As
a consequence, it fails to process /etc/sysctl.conf or any other
kernel configuration file correctly.

The symptoms are:

Setting kernel variables (/etc/sysctl.conf)...sysctl: unknown oid '/etc/sysctl.conf'
failed.

and the kernel variables needed by the system administrator are not
set.

The following patch addresses this problem on kFreeBSD:

--- procps.orig 2008-10-19 15:29:11.000000000 +0200
+++ procps      2008-10-19 15:31:25.000000000 +0200
@@ -29,7 +29,7 @@
                   for file in /etc/sysctl.conf /etc/sysctl.d/*.conf ; do
                                 if [ -r "$file" ] ; then
                                   log_action_begin_msg "Setting kernel variables ($file)"
-                                  sysctl -q -p "$file"
+                                  sysctl -q -p < "$file"
                                   log_action_end_msg $?
                                 fi
                           done


$ uname -a
GNU/kFreeBSD deuteronome 7.0-1-686 #0 Wed Oct  8 07:21:47 CEST 2008 i686 i386 Intel Pentium III GNU/kFreeBSD

Packages installed on this system:
ii  kfreebsd-image-7.0-1-686 7.0-7          kernel of FreeBSD 7.0 image
ii  kfreebsd-loader          5.4-4          Kernel of FreeBSD loader
ii  libc0.1                  2.7-15         GNU C Library: Shared libraries
ii  libncurses5              5.6+20081004-1 shared libraries for terminal handling
ii  lsb-base                 3.2-20         Linux Standard Base 3.2 init script functionality
ii  procps                   1:3.2.7-9      /proc file system utilities




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#502729; Package procps. (Sun, 19 Oct 2008 21:48:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Small <csmall@debian.org>:
Extra info received and forwarded to list. (Sun, 19 Oct 2008 21:48:15 GMT) Full text and rfc822 format available.

Message #10 received at 502729@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: Ludovic Brenta <ludovic@ludovic-brenta.org>, 502729@bugs.debian.org
Subject: Re: Bug#502729: procps: does not process /etc/sysctl.conf correctly on Debian GNU/kFreeBSD
Date: Mon, 20 Oct 2008 08:30:56 +1100
On Sun, Oct 19, 2008 at 03:37:13PM +0200, Ludovic Brenta wrote:
> On Debian GNU/kFreeBSD, /bin/sysctl comes from package freebsd-utils
> and does not accept a file name on its command line but the default
> /etc/init.d/procps passes configuration files on the command line.  As
> a consequence, it fails to process /etc/sysctl.conf or any other
> kernel configuration file correctly.
The real problem is that the freebsd-utils program doesn't do the same
thing for a binary of the same name. Something changed with that other
package and now we've got this problem as a result.

Packages shouldn't drive other packages scripts, I'm not going to change
procps init.d but somehow work out how to just have it removed from
kFreeBSD.

 - Craig
-- 
Craig Small      GnuPG:1C1B D893 1418 2AF4 45EE  95CB C76C E5AC 12CA DFA5
http://www.enc.com.au/                             csmall at : enc.com.au
http://www.debian.org/          Debian GNU/Linux, software should be Free 




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#502729; Package procps. (Mon, 20 Oct 2008 17:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovic Brenta <ludovic@ludovic-brenta.org>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Mon, 20 Oct 2008 17:39:07 GMT) Full text and rfc822 format available.

Message #15 received at 502729@bugs.debian.org (full text, mbox):

From: Ludovic Brenta <ludovic@ludovic-brenta.org>
To: Craig Small <csmall@debian.org>
Cc: 502729@bugs.debian.org
Subject: Re: Bug#502729: procps: does not process /etc/sysctl.conf correctly on Debian GNU/kFreeBSD
Date: Mon, 20 Oct 2008 19:35:45 +0200
By your reasoning, /etc/init.d/procps should not call sysctl on any
architecture or kernel, then.  I think that's fair enough; we should
arrange for whatever package provides sysctl to call it in an init
script.

Also, the FreeBSD documentation describes /etc/sysctl.conf quite
extensively and a search for FreeBSD kernel configuration variables
inevitably points at /etc/sysctl.conf.  I suggest that package
maintainers coordinate a strategy to ensure /etc/sysctl.conf works out
of the box on all systems.

-- 
Ludovic Brenta.




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#502729; Package procps. (Mon, 20 Oct 2008 21:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Small <csmall@debian.org>:
Extra info received and forwarded to list. (Mon, 20 Oct 2008 21:21:06 GMT) Full text and rfc822 format available.

Message #20 received at 502729@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: Ludovic Brenta <ludovic@ludovic-brenta.org>, 502729@bugs.debian.org
Subject: Re: Bug#502729: procps: does not process /etc/sysctl.conf correctly on Debian GNU/kFreeBSD
Date: Tue, 21 Oct 2008 08:18:20 +1100
On Mon, Oct 20, 2008 at 07:35:45PM +0200, Ludovic Brenta wrote:
> By your reasoning, /etc/init.d/procps should not call sysctl on any
> architecture or kernel, then.  I think that's fair enough; we should
> arrange for whatever package provides sysctl to call it in an init
> script.
sysctl comes from procps, except for FreeBSD. So where it does come from
procps then it should provide the init script, where it doesn't, it
shouldn't.

> Also, the FreeBSD documentation describes /etc/sysctl.conf quite
> extensively and a search for FreeBSD kernel configuration variables
> inevitably points at /etc/sysctl.conf.  I suggest that package
> maintainers coordinate a strategy to ensure /etc/sysctl.conf works out
> of the box on all systems.
I completely agree with you. The first step would of been the other
maintainers actually making me aware there was another sysctl. We could
of avoided this whole problem that way.

 - Craig
-- 
Craig Small      GnuPG:1C1B D893 1418 2AF4 45EE  95CB C76C E5AC 12CA DFA5
http://www.enc.com.au/                             csmall at : enc.com.au
http://www.debian.org/          Debian GNU/Linux, software should be Free 




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#502729; Package procps. (Tue, 06 Jan 2009 23:00:02 GMT) Full text and rfc822 format available.

Message #23 received at 502729@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: debian-bsd@lists.debian.org
Cc: 502729@bugs.debian.org
Subject: Bug#502729 and the mysterious freebsd-utils package
Date: Wed, 7 Jan 2009 09:57:31 +1100
Hello,
  I'm the maintainer of procps and are not subscribed to the BSD list,
so please include me in the replies.

I received this bug report saying there is another sysctl program out
there in a package called freebsd-utils and the procps init script is
calling it and failing.  It would of been nice that someone told me
about this program appearing (unusual too, because I have had some
patches come out of the kfreeBSD project).

Anyhow I cannot find this package anywhere! Packages.d.o doesn't have it
and what is real strange is that ftp.d.o doesn't have it either.

And yet the submitter says at [1]:
  On Debian GNU/kFreeBSD, /bin/sysctl comes from package freebsd-utils

So what is going on?  Why aren't more of you complaining too? :)

 - Craig
[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502729
-- 
Craig Small      GnuPG:1C1B D893 1418 2AF4 45EE  95CB C76C E5AC 12CA DFA5
http://www.enc.com.au/                             csmall at : enc.com.au
http://www.debian.org/          Debian GNU/Linux, software should be Free 




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#502729; Package procps. (Tue, 06 Jan 2009 23:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Tue, 06 Jan 2009 23:24:03 GMT) Full text and rfc822 format available.

Message #28 received at 502729@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: debian-bsd@lists.debian.org, 502729@bugs.debian.org
Subject: Re: Bug#502729 and the mysterious freebsd-utils package
Date: Wed, 7 Jan 2009 00:22:04 +0100
[Message part 1 (text/plain, inline)]
Craig Small <csmall@debian.org> (07/01/2009):
> Hello,
>   I'm the maintainer of procps and are not subscribed to the BSD list,
> so please include me in the replies.

I hope it's enough through the bug?

> Anyhow I cannot find this package anywhere! Packages.d.o doesn't have
> it and what is real strange is that ftp.d.o doesn't have it either.

Unofficial ports (unlike hurd-i386, yet?) are hosted on
debian-ports.org, e.g.:
http://debian-ports.org/debian-kfreebsd/pool-kfreebsd-i386/main/f/freebsd-utils/

Hope this helps.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#502729; Package procps. (Wed, 07 Jan 2009 05:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Small <csmall@debian.org>:
Extra info received and forwarded to list. (Wed, 07 Jan 2009 05:18:02 GMT) Full text and rfc822 format available.

Message #33 received at 502729@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: Cyril Brulebois <kibi@debian.org>, 502729@bugs.debian.org
Subject: Re: Bug#502729: and the mysterious freebsd-utils package
Date: Wed, 7 Jan 2009 16:16:24 +1100
On Wed, Jan 07, 2009 at 12:22:04AM +0100, Cyril Brulebois wrote:
> I hope it's enough through the bug?
It was, thanks.

 - Craig
-- 
Craig Small      GnuPG:1C1B D893 1418 2AF4 45EE  95CB C76C E5AC 12CA DFA5
http://www.enc.com.au/                             csmall at : enc.com.au
http://www.debian.org/          Debian GNU/Linux, software should be Free 




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#502729; Package procps. (Wed, 07 Jan 2009 06:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Small <csmall@debian.org>:
Extra info received and forwarded to list. (Wed, 07 Jan 2009 06:03:05 GMT) Full text and rfc822 format available.

Message #38 received at 502729@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: 502729@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#502729: and the mysterious freebsd-utils package
Date: Wed, 7 Jan 2009 17:00:49 +1100
Thanks to KiBi I've got the package.  Next.

The problem is that procps has a sysctl and an init file. However,
freebsd-utils has a sysctl file too.  These files are slightly
different.

My fix would be for procps sysctl and init files to not be installed at
all.  That way freebsd-utils is free to have its own init file.  However
this may impact on your arch in ways I cannot see, so here is your time
to tell me if this will work for you.  I won't be doing the fix as
suggested in the bug report, procps' init file works fine with its
sysctl.

 - Craig


-- 
Craig Small      GnuPG:1C1B D893 1418 2AF4 45EE  95CB C76C E5AC 12CA DFA5
http://www.enc.com.au/                             csmall at : enc.com.au
http://www.debian.org/          Debian GNU/Linux, software should be Free 




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#502729; Package procps. (Wed, 07 Jan 2009 08:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 07 Jan 2009 08:18:02 GMT) Full text and rfc822 format available.

Message #43 received at 502729@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 502729@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#502729: and the mysterious freebsd-utils package
Date: Wed, 7 Jan 2009 09:34:18 +0100 (CET)
> My fix would be for procps sysctl and init files to not be installed at
> all.  That way freebsd-utils is free to have its own init file.  However
> this may impact on your arch in ways I cannot see, so here is your time
> to tell me if this will work for you.  I won't be doing the fix as
> suggested in the bug report, procps' init file works fine with its
> sysctl.

It looks like we (GNU/kFreeBSD) have to create better wrapper
around native /lib/freebsd/sysctl.

The current one does not accept file name for "-p",
it always uses /etc/sysctl.conf and the possibly specified filename
treats as variable to set.

Petr





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#502729; Package procps. (Wed, 07 Jan 2009 08:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Small <csmall@debian.org>:
Extra info received and forwarded to list. (Wed, 07 Jan 2009 08:51:02 GMT) Full text and rfc822 format available.

Message #48 received at 502729@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>, 502729@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#502729: and the mysterious freebsd-utils package
Date: Wed, 7 Jan 2009 19:48:03 +1100
On Wed, Jan 07, 2009 at 09:34:18AM +0100, Petr Salinger wrote:
> It looks like we (GNU/kFreeBSD) have to create better wrapper
> around native /lib/freebsd/sysctl.
>
> The current one does not accept file name for "-p",
> it always uses /etc/sysctl.conf and the possibly specified filename
> treats as variable to set.

Is that the right way? I'm a little worried that one package's init file
(procps) is calling anothers program (freebsd-utils). The whole point of
procps' init file is to start its sysctl. I already conditionally remove
sysctl and its man page so in a way it makes sense to remove the init
file if sysctl goes away and then let the other package deal with init
files for *its* sysctl.

 - Craig
-- 
Craig Small      GnuPG:1C1B D893 1418 2AF4 45EE  95CB C76C E5AC 12CA DFA5
http://www.enc.com.au/                             csmall at : enc.com.au
http://www.debian.org/          Debian GNU/Linux, software should be Free 




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#502729; Package procps. (Thu, 08 Jan 2009 07:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Thu, 08 Jan 2009 07:57:03 GMT) Full text and rfc822 format available.

Message #53 received at 502729@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 502729@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#502729: and the mysterious freebsd-utils package
Date: Thu, 8 Jan 2009 09:14:43 +0100 (CET)
> On Wed, Jan 07, 2009 at 09:34:18AM +0100, Petr Salinger wrote:
>> It looks like we (GNU/kFreeBSD) have to create better wrapper
>> around native /lib/freebsd/sysctl.
>>
>> The current one does not accept file name for "-p",
>> it always uses /etc/sysctl.conf and the possibly specified filename
>> treats as variable to set.
>
> Is that the right way? I'm a little worried that one package's init file
> (procps) is calling anothers program (freebsd-utils). The whole point of
> procps' init file is to start its sysctl. I already conditionally remove
> sysctl and its man page so in a way it makes sense to remove the init
> file if sysctl goes away and then let the other package deal with init
> files for *its* sysctl.

It really makes sense. Sysctl should come from freebsd-utils package and 
therefore also init files. The init script should be addopted by 
freebsd-utils, with similar behaviour, i.e. on start set variables
from  /etc/sysctl.d/*.conf and /etc/sysctl.conf.

As current init script from procps does not work with current sysctl 
wrapper from freebsd-utils, it should not do any harm to just remove it 
from procps on GNU/kFreeBSD. Please remove all sysctl related things
from procps on GNU/kFreeBSD.

Many thanks.

Petr





Tags added: pending Request was from Craig Small <csmall@debian.org> to control@bugs.debian.org. (Fri, 09 Jan 2009 07:12:03 GMT) Full text and rfc822 format available.

Reply sent to Craig Small <csmall@debian.org>:
You have taken responsibility. (Sun, 11 Jan 2009 02:09:31 GMT) Full text and rfc822 format available.

Notification sent to Ludovic Brenta <ludovic@ludovic-brenta.org>:
Bug acknowledged by developer. (Sun, 11 Jan 2009 02:09:31 GMT) Full text and rfc822 format available.

Message #60 received at 502729-close@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: 502729-close@bugs.debian.org
Subject: Bug#502729: fixed in procps 1:3.2.7-10
Date: Sun, 11 Jan 2009 01:47:05 +0000
Source: procps
Source-Version: 1:3.2.7-10

We believe that the bug you reported is fixed in the latest version of
procps, which is due to be installed in the Debian FTP archive:

libproc-dev_3.2.7-10_i386.deb
  to pool/main/p/procps/libproc-dev_3.2.7-10_i386.deb
procps_3.2.7-10.diff.gz
  to pool/main/p/procps/procps_3.2.7-10.diff.gz
procps_3.2.7-10.dsc
  to pool/main/p/procps/procps_3.2.7-10.dsc
procps_3.2.7-10_i386.deb
  to pool/main/p/procps/procps_3.2.7-10_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 502729@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Craig Small <csmall@debian.org> (supplier of updated procps package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 11 Jan 2009 12:29:42 +1100
Source: procps
Binary: procps libproc-dev
Architecture: source i386
Version: 1:3.2.7-10
Distribution: unstable
Urgency: low
Maintainer: Craig Small <csmall@debian.org>
Changed-By: Craig Small <csmall@debian.org>
Description: 
 libproc-dev - library for accessing process information from /proc
 procps     - /proc file system utilities
Closes: 155227 183346 183486 225549 252575 267873 375739 378695 410967 414906 420377 426782 451812 469669 481679 494655 495882 495884 495885 495987 496274 502729 508435 511082
Changes: 
 procps (1:3.2.7-10) unstable; urgency=low
 .
   * PATH_MAX problem fixed Closes: #496274
   * NOHZ patch appilied Closes: #495882
   * Added some extra comments about sysctl Closes: #495884
   * init script respects VERBOSE Closes: #495885
   * More ps sorting Closes: #508435
   * ps displays cgroups Closes: #469669
   * Added cross build support Closes: #451812
   * Added Hilko's fix for sysctl Closes: #511082
   * Applied Mortys watch exec patch, thankyou!!
     Closes: #225549, #155227, #420377, #481679,#410967
   * top UID length now increased to 5 Closes: #426782
   * init script not installed for kFreeBSD Closes: #502729
   * Fixed kernel.maps_protect entry in sysctl.conf Closes: #494655
   * D flag documented in man page Closes: #495987
   * w uses locale for centi-seconds Closes: #252575
   * Corrected w-bassman patch which made ALL times change and documented
     what the times mean in w.1 Closes: #414906
   * Changed dh_clean -k to dh_prep
   * Updated to debhelper 7
   * Replaced may in kill.1 Closes: #375739
   * Added precision wait time to watch Closes: #183486
   * top exits if it cannot read /proc Closes: #378695
   * Adjusted top.1 as CODE DATA fields were incorrect Closes: 267873
   * Added --errexit flag on watch to exit on command error Closes:
     #183346
Checksums-Sha1: 
 7c6b79f5de42aa2acce4d6dc6ebebdaed4a30e9e 990 procps_3.2.7-10.dsc
 36fc8a379dd6c310cdbc29e5136f2fe235d1f48d 81896 procps_3.2.7-10.diff.gz
 b2cab9c0bfd951701d987c762a29de0cb33fd699 225882 procps_3.2.7-10_i386.deb
 15e1a4f9f2adda3c2fae8fd716f677c2950bdd08 57146 libproc-dev_3.2.7-10_i386.deb
Checksums-Sha256: 
 f9e39d0bfba1ecf2d3cd37bde55a2987866911f37e39b2460b91118b6a7644cb 990 procps_3.2.7-10.dsc
 0bb5ba17a2c44342f79a6601ce070847c90bcfb58999b641be4b86c4ec5c1902 81896 procps_3.2.7-10.diff.gz
 de3a721b689c33c0864b8daf698644beccf0f5afeebbbecaa5afe5f54b08a554 225882 procps_3.2.7-10_i386.deb
 166c7b1524ab91f37be67f1fcfa3e6ef2d0ef0fdd8ec0b61b3f52be8b27c0780 57146 libproc-dev_3.2.7-10_i386.deb
Files: 
 87c80bc01ad625d5706b2d6dfc677a00 990 admin required procps_3.2.7-10.dsc
 fd186946acddc00b1923eebba3a1948d 81896 admin required procps_3.2.7-10.diff.gz
 da71ca3be2133d481c71ec67957b2ce1 225882 admin required procps_3.2.7-10_i386.deb
 8d7b98f42f31896bca47aa403100ea75 57146 libdevel optional libproc-dev_3.2.7-10_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJaUzMx2zlrBLK36URAlfAAJoDFOv+B3MaTisuLpaHuIf5GR09mgCfbEFB
YLL4f9Mhoc7tLtnTwA3HmzA=
=tS6D
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 09 Feb 2009 07:27:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:01:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.